unit untMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, XPMan, pngimage, untEP, ExtCtrls, untIsValidPe;

type
  TfrmMain = class(TForm)
    lblFile: TLabel;
    txtFile: TEdit;
    cmdLoad: TButton;
    xpMan: TXPManifest;
    grpInfo: TGroupBox;
    cmdOpt: TButton;
    cmdAbout: TButton;
    cmdExit: TButton;
    chkOnTop: TCheckBox;
    lblCrypter: TLabel;
    txtCrypter: TEdit;
    lblEPFB: TLabel;
    txtEP: TEdit;
    txtFB: TEdit;
    odFile: TOpenDialog;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    imgLoad: TImage;
    imgFile: TImage;
    imgValid: TImage;
    imgInvalid: TImage;
    procedure chkOnTopClick(Sender: TObject);
    procedure cmdLoadClick(Sender: TObject);
    procedure cmdExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.chkOnTopClick(Sender: TObject);
begin
if chkOnTop.Checked then
  begin
    frmMain.FormStyle := fsStayOnTop;
  end else
  begin
    frmMain.FormStyle := fsNormal;
  end;
end;

procedure TfrmMain.cmdLoadClick(Sender: TObject);
begin
  if odFile.Execute then
    begin
      txtFile.Text := odFile.FileName;
        if IsValidPe(txtFile.Text) then
         begin
          imgFile.Picture := imgValid.Picture;
          frmMain.Caption := IntToStr(FindEP(txtFile.Text));
         end else begin
          imgFile.Picture := imgInvalid.Picture;
         end;
    end else
    begin

    end;
end;

procedure TfrmMain.cmdExitClick(Sender: TObject);
begin
  frmMain.Close;
end;

end.
